<template>
    <div>
        <h1>Tabs</h1>
        <div class="component">
            <cumulus-tabs
                :addOptions="addOptions"
                :allowClose="allowClose"
                :dropdownMaxHeight="dropdownMaxHeight"
                :id="id">
                <cumulus-tab :title="'Tab 1'" :id="'tab1'" />
                <cumulus-tab :title="'oob-mgmt-switch'" />
            </cumulus-tabs>
        </div>
        <div class="props">
            <h4>Props</h4>
            <div class="props-content">
                <label>:addOptions</label>
                <pre style="display: inline-block;" ref="addOptionsArea"></pre>
                <label>:allowClose</label>
                <input type="checkbox" v-model="allowClose" />
                <label>:dropdownMaxHeight</label>
                <input type="text" v-model="dropdownMaxHeight" />
                <label>:id</label>
                <input type="text" v-model="id" />
            </div>
        </div>
    </div>
</template>

<script>
import CumulusTab from '../../components/tabs/tab.vue';
import CumulusTabs from '../../components/tabs/tabs.vue';

export default {
    name: 'TabsSandbox',

    components: { CumulusTab, CumulusTabs },

    props: {
        addOptions: {
            type: Array,
            default: () => [
                {
                    display: 'Tab 1',
                    value: 'tab1',
                    componentOptions: {
                        propsData: { title: 'Tab 1' },
                    },
                },
                {
                    display: 'Tab 3',
                    value: 'tab3',
                    componentOptions: {
                        propsData: { title: 'Tab 3' },
                    },
                },
                {
                    display: 'Tab 4',
                    value: 'tab4',
                    componentOptions: {
                        propsData: { title: 'Tab 4' },
                    },
                },
            ],
        },
        allowClose: {
            default: true,
            type: Boolean,
        },
        dropdownMaxHeight: {
            default: '400px',
            type: String,
        },
        id: {
            default: 'CumulusTabs',
            type: String,
        },
    },

    mounted() {
        const { addOptionsArea } = this.$refs;
        addOptionsArea.innerText = JSON.stringify(this.addOptions, null, 4);
    },
};

</script>
